package com.example.Models.Types;

import com.example.Models.Values.IValue;
import com.example.Models.Values.IntegerValue;

public class IntegerType implements IType {
    //#region Exposed Methods
    public boolean equals(Object other){
        return other instanceof IntegerType;
    }

    public String toString(){
        return "int";
    }

    public IValue defaultValue(){
        return new IntegerValue(0);
    }
}
